=begin
TIG (c) 2011
Usage: Plugins menu > 'Flip Selected Back Faces...'
Seelct some faces.
If a selected face is backwards the face flips [reverses].
If it's on its front it's unchanged.
Donations:
PayPal.com info @ revitrev.org
Version:
1.0 20110928 First issue.
=end
require 'sketchup.rb'
module TIG
    def self.flipBacks()
      model=Sketchup.active_model
      eye=model.active_view.camera.eye
      faces=[]
      model.selection.each{|e|faces << e if e.class==Sketchup::Face}
      return nil unless faces[0]
      model.start_operation("Flip Selected Back Faces...")
      faces.each{|face|
        normal=face.normal
        vector=face.bounds.center.vector_to(eye)
        angle=normal.angle_between(vector)
        face.reverse! if angle > 90.degrees
      }
      model.commit_operation
    end
    UI.menu('Plugins').add_item('Flip Selected Back Faces...'){TIG.flipBacks()} unless file_loaded?(__FILE__)
    file_loaded(__FILE__)
end
###
